Package it.ernytech.tdlib

## Class TdApi.NetworkStatisticsEntryFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.NetworkStatisticsEntry
    - - it.ernytech.tdlib.TdApi.NetworkStatisticsEntryFile

Enclosing class:
  TdApi

    public static class TdApi.NetworkStatisticsEntryFile
    extends TdApi.NetworkStatisticsEntry

Contains information about the total amount of data that was used to send and receive files.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.FileType` `fileType` Type of the file the data is part of.
`TdApi.NetworkType` `networkType` Type of the network the data was sent through.
`long` `receivedBytes` Total number of bytes received.
`long` `sentBytes` Total number of bytes sent.

### Constructor Summary

Constructors
`NetworkStatisticsEntryFile()` Default constructor.
`NetworkStatisticsEntryFile​(TdApi.FileType fileType, TdApi.NetworkType networkType, long sentBytes, long receivedBytes)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### fileType

    public TdApi.FileType fileType

Type of the file the data is part of.

#### networkType

    public TdApi.NetworkType networkType

Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.

#### sentBytes

    public long sentBytes

Total number of bytes sent.

#### receivedBytes

    public long receivedBytes

Total number of bytes received.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### NetworkStatisticsEntryFile

    public NetworkStatisticsEntryFile()

Default constructor.

#### NetworkStatisticsEntryFile

    public NetworkStatisticsEntryFile​(TdApi.FileType fileType,
                                      TdApi.NetworkType networkType,
                                      long sentBytes,
                                      long receivedBytes)

Constructor for initialization of all fields.

Parameters:
  `fileType` - Type of the file the data is part of.
  `networkType` - Type of the network the data was sent through. Call setNetworkType to maintain the actual network type.
  `sentBytes` - Total number of bytes sent.
  `receivedBytes` - Total number of bytes received.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR